"""A vector field in cylindrical coordinates.

This class represents a vector field in cylindrical coordinates.
A vector field is defined as a mapping from a vector position in the
field to a vector value in the field.

Authors
-------
J. Vanderpool
G.K. Stephens
Eric Winter (eric.winter@jhuapl.edu)
"""


from emmpy.math.vectorfields.vectorfield import VectorField


class CylindricalVectorField(VectorField):
    """A vector field in cylindrical coordinates.

    This class represents a vector field in cylindrical coordinates.
    A vector field is defined as a mapping from a vector position in the
    field to a vector value in the field.

    Attributes
    ----------
    None
    """
